import sys
import DiskLib
import SystemLib 

def og_list_primary_partitions(args):
    try:
        result = DiskLib.ogListPrimaryPartitions(*args)
        print(result)
    except Exception as e:
        SystemLib.ogRaiseError(f"Error al ejecutar ogListPrimaryPartitions: {e}")

if __name__ == "__main__":
    og_list_primary_partitions(sys.argv[1:])

